GDCM 2.2.1

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
gdcm::PDFCodec Class Reference

PDFCodec class. More...

`#include <gdcmPDFCodec.h>`

Inheritance diagram for gdcm::PDFCodec:
[legend]
Collaboration diagram for gdcm::PDFCodec:
[legend]

## Public Member Functions

| PDFCodec ()
| ~PDFCodec ()
bool | CanCode (TransferSyntax const &) const
| Return whether this coder support this transfer syntax (can code it)
bool | CanDecode (TransferSyntax const &) const
| Return whether this decoder support this transfer syntax (can decode it)
bool | Decode (DataElement const &is, DataElement &os)
| Decode.

## Additional Inherited Members

Protected Member Functions inherited from gdcm::Coder
virtual bool | InternalCode (const char *bv, unsigned long len, std::ostream &os)
Protected Member Functions inherited from gdcm::Decoder
virtual bool | DecodeByStreams (std::istream &, std::ostream &)

## Detailed Description

PDFCodec class.

## Constructor & Destructor Documentation

gdcm::PDFCodec::PDFCodec | ( |  | ) |

gdcm::PDFCodec::~PDFCodec | ( |  | ) |

## Member Function Documentation

bool gdcm::PDFCodec::CanCode | ( | TransferSyntax const & |  | ) | const

inlinevirtual

Return whether this coder support this transfer syntax (can code it)

Implements gdcm::Coder.

bool gdcm::PDFCodec::CanDecode | ( | TransferSyntax const & |  | ) | const

inlinevirtual

Return whether this decoder support this transfer syntax (can decode it)

Implements gdcm::Decoder.

bool gdcm::PDFCodec::Decode | ( | DataElement const & | ,
|  | DataElement & |
| ) |  |

virtual

Decode.

Reimplemented from gdcm::Decoder.

The documentation for this class was generated from the following file:

- gdcmPDFCodec.h